Subject: bug#66022: 30.0.50; kmacro overwriting global keybindings

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Sep 2023 12:18:12 +0300

> From: Gerd Möllmann <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 17 Sep 2023 10:58:11 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> > What does use-package do when the "package" is "emacs"?  IOW, at what
> >> > point in time will the above binding be executed, and what event will
> >> > trigger that?
> >> 
> >> Nothing.  It's sort of an idiom I found on the net for general
> >> customizations and so on that don't belong to a particular package.
> >> Some people apparently name it "general".
> >
> > So the above binding of F2 is never executed in your case?  Or else,
> > how should I interpret your "Nothing" response to my question about
> > the point in time when this binding is executed?
> 
> No, sorry for not being clear.  I meant use-package doesn't load a
> package, or something like that.  It executes normally, and in
> particular, it uses bind-key for the :bind clause, so that F2 gets
> bound.

Does it do that immediately as that particular use-package form is
read and interpreted, or does it do it later (e.g., after the init
file was loaded or something)?

I'm trying to figure out when could the autoloaded bindings become in
effect so as to countermand your use-package bindings (if this is what
happens; does it?).